# Init system

## OpenRC

Alpine Linux uses OpenRC as init system which has a few configuration options that can be changed. Most options are already explained in the `/etc/rc.conf` file which has to be edited.

### Parallel services

The boot process can be sped up if services are launched parallel (do note that this *can* potentially lock the boot process).

```
rc_parallel="YES"
```

### Logging

What is more important is enabling the logger which logs the rc process. Enable it by setting:

```
rc_logger="YES"
```

To also log the kernel add `klogd`.

```
# apk add sysklogd
# rc-update add klogd boot
```

You can view the logs in `/var/log/dmesg` and `/var/log/messages`.


## User services using runit

If `home-manager` has been initialised and logged into the Wayfire session then it should have started a lot of services automatically. These are created and managed through `home-manager`. 

The help and manual pages of `runit` explain how to use `sv` to manage the services.
